require("frog")

Spider = {}
Spider.__index = Frog

Spider.NUM_FRAMES = 6
Spider.IMG = love.graphics.newImage("spider.png")
Spider.FRAMES = {}
for i = 0, (Spider.NUM_FRAMES - 1) do
	Spider.FRAMES[i] = love.graphics.newQuad(16*i, 0, 16, 16, 128, 16)
end

function Spider.new(x, y)
	local self = setmetatable(Frog.new(x, y), Spider)
	return self
end

function Spider:update(dt)
	self.frame = (10 * love.timer.getTime()) % 6 -- 15 frames per second, 8 frames
	self:input() -- receive user input
	
	-- apply acceleration and velocity, set coordinates accordingly
	self.yvelocity = self.yvelocity + (self.yaccel * dt)
	self.x = self.x + (self.xvelocity * dt)
	self.y = self.y + (self.yvelocity * dt)
	
	if self.y >= lineY - 1 then
		self.y = lineY - 1
	end
	
	if not self.onGround and self.y >= lineY - 1 then
		self.onGround = true
		self.yvelocity = 0
	end
end

function Spider:draw()
	-- offset to the center at his feet
	love.graphics.drawq(self.IMG, self.FRAMES[math.floor(self.frame)], math.floor(self.x), math.floor(self.y), 0, self.facing, 1, 16, 32)
end
